Package org.springframework.batch.integration.config.annotation

# Class BatchIntegrationConfiguration

java.lang.Object
org.springframework.batch.integration.config.annotation.BatchIntegrationConfiguration

All Implemented Interfaces:
  `org.springframework.beans.factory.InitializingBean`

@Configuration(proxyBeanMethods=false) public class BatchIntegrationConfiguration extends Object implements org.springframework.beans.factory.InitializingBean
Base configuration class for Spring Batch Integration factory beans.

Since:
  4.1
Author:
  Mahmoud Ben Hassine

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BatchIntegrationConfiguration(JobRepository jobRepository, JobExplorer jobExplorer, org.springframework.transaction.PlatformTransactionManager transactionManager)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterPropertiesSet()`
  `RemoteChunkingManagerStepBuilderFactory`
  `remoteChunkingManagerStepBuilderFactory()`
  `<I, O> RemoteChunkingWorkerBuilder<I,O>`
  `remoteChunkingWorkerBuilder()`
  `RemotePartitioningManagerStepBuilderFactory`
  `remotePartitioningManagerStepBuilderFactory()`
  `RemotePartitioningWorkerStepBuilderFactory`
  `remotePartitioningWorkerStepBuilderFactory()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BatchIntegrationConfiguration

    @Autowired public BatchIntegrationConfiguration(JobRepository jobRepository, JobExplorer jobExplorer, org.springframework.transaction.PlatformTransactionManager transactionManager)

- ## Method Details

  - ### remoteChunkingManagerStepBuilderFactory

    @Bean public RemoteChunkingManagerStepBuilderFactory remoteChunkingManagerStepBuilderFactory()

  - ### remoteChunkingWorkerBuilder

    @Bean public <I, O> RemoteChunkingWorkerBuilder<I,O> remoteChunkingWorkerBuilder()

  - ### remotePartitioningManagerStepBuilderFactory

    @Bean public RemotePartitioningManagerStepBuilderFactory remotePartitioningManagerStepBuilderFactory()

  - ### remotePartitioningWorkerStepBuilderFactory

    @Bean public RemotePartitioningWorkerStepBuilderFactory remotePartitioningWorkerStepBuilderFactory()

  - ### afterPropertiesSet

    public void afterPropertiesSet() throws Exception
    Specified by:
      `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
    Throws:
      `Exception`